#ifndef TYPEDIRECTORY_INCLUDE
#define TYPEDIRECTORY_INCLUDE

#define VALID 1
#define INVALID 0
#define ACTIVE 1
#define INACTIVE 0
#define MAX_TOKEN_TYPES 50

class Token;
class Isrostream;

typedef Token *FN_RET_TOK_PTR();
typedef void FN_RET_VOID();

typedef struct TYPE_DIRECTORY_ELEMENT {
  char *name;
  FN_RET_TOK_PTR *allocator;
  FN_RET_VOID *alt_input;
/*  Token* (*allocator)(); 
  void (*alt_input)(); */
  short valid;
  short active;
} type_directory_element;

class TypeDirectory {
 public:
  TypeDirectory(int);
  ~TypeDirectory();

  int define(char *name, Token* (*allocator)(), void(*alt_input)());
  int add_entry(int new_index, char* name);
  int add_entry(int new_index, char* name, TypeDirectory& old_directory);

  int lookup(char *name);
  char *name(int);
  int valid(int);
  FN_RET_TOK_PTR *allocator(int);
  FN_RET_VOID *alt_input(int);

  void deactivate();
  void activate(int);
  int table_size() { return max_table_size; }
  int active_entries();
  int max_active_entry();
  int max_possible_entry() {return max_table_size;}
  void print_active_entries(Isrostream& os);
 private:
  type_directory_element *table;
  int max_table_size;
};

TypeDirectory* system_type_table();

#endif /* TYPEDIRECTORY_INCLUDE */
