/*
 * ------------------------------------------------------------------
 * ViffPlane.h - viff defs
 * Created by Bruce Draper
 * ------------------------------------------------------------------
 * Modification History: $Log: ViffPlane.h,v $
 * Revision 1.2  1994/10/14  19:45:54  heller
 * Added support for reading viff 3-band color images.
 *
 * ------------------------------------------------------------------
 * Contents:
 * ------------------------------------------------------------------
 *  
 * 
 *            Copyright 1994 University of Massachusetts.
 *                          All rights reserved.
 * 
 *      Permission to copy and modify this software and its documen-
 *      tation only for internal use in your organization is hereby
 *      granted, provided that this notice is retained thereon and
 *      on all copies.  UMASS makes no representations as to the sui-
 *      tability and operability of this software for any purpose.
 *      It is provided "as is" without express or implied warranty.
 * 
 *      UMASS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 *      INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 *      NESS.  IN NO EVENT SHALL UMASS BE LIABLE FOR ANY SPECIAL,
 *      INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 *      SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 *      IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 *      ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 *      FORMANCE OF THIS SOFTWARE.
 * 
 *      No other rights, including, for example, the right to redis-
 *      tribute this software and its documentation or the right to
 *      prepare derivative works, are granted unless specifically
 *      provided in a separate license agreement.
 * 
 *      Copyright 1994, University of Massachusetts. All rights
 *      reserved.
 * 
 * $Id: ViffPlane.h,v 1.2 1994/10/14 19:45:54 heller Exp $
 */
#include <viff.h>
#include <llvs_plane.h>
#include <NewPlane.h>
#include <ColorImage.h>

extern "C" struct xvimage *createimage(long, long, long, long, long, long,
				       char*, long, long, long, long, long);
extern "C" int writeimage(char *filename, xvimage *image);
extern "C" struct xvimage *readimage(char *filename);
extern "C" void freeimage(xvimage *image);

Plane *viff2llvs(xvimage *image);
void writeplaneimage(char *filename, Plane *pl);

