#include <ISRinit.h>
#include <NewPlane.h>
#include <ColorImage.h>
#include <Transform2D.h>
extern TypeDirectory* system_table_ptr;
char *TokenFileTable = "ISRtokens";
Token *ISRmakeBytePlane ()
{
  return((Token *)(new BytePlane));
}

Token *ISRmakeIntPlane ()
{
  return((Token *)(new IntPlane));
}

Token *ISRmakeFloatPlane ()
{
  return((Token *)(new FloatPlane));
}

Token *ISRmakeColorImage ()
{
  return((Token *)(new ColorImage));
}

Token *ISRmakeCoordSys2D ()
{
  return((Token *)(new CoordSys2D));
}

Token *ISRmakeTransform2D ()
{
  return((Token *)(new Transform2D));
}

void ISRinit()
{
  system_table_ptr = new TypeDirectory(MAX_TOKENTYPE_COUNT);
  system_table_ptr->define("BytePlane", &ISRmakeBytePlane, NULL);
  system_table_ptr->define("IntPlane", &ISRmakeIntPlane, NULL);
  system_table_ptr->define("FloatPlane", &ISRmakeFloatPlane, NULL);
  system_table_ptr->define("ColorImage", &ISRmakeColorImage, NULL);
  system_table_ptr->define("CoordSys2D", &ISRmakeCoordSys2D, NULL);
  system_table_ptr->define("Transform2D", &ISRmakeTransform2D, NULL);
}
