#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#ifdef HUGE_VAL
#undef HUGE_VAL
#endif
#include <errno.h>
#include <values.h>
#include <limits.h>
#include <string.h>
#ifdef HUGE_VAL
#undef HUGE_VAL
#endif
#include <NewPlane.h>
#include <ColorImage.h>
#include <Token.h>
#include <TokenStream.h>

/* =========================== stuff for classification ============================== */
#define RGB_min 0                    /* min-max for RGB pixel values: may be better    */
#define RGB_max 255                  /* to avoid dealing with the highest and lowest   */
#define iRange (RGB_max-RGB_min)     /* values, which may be due to clipping, blooming */
#define CHAR_SIZE 8                  /* etc.                                           */
#define ARR_SIZE (iRange*iRange*iRange)/CHAR_SIZE  /* size of LUT */

typedef unsigned char RGB_LUT[ARR_SIZE];           /* LUT type */
RGB_LUT LUT;                                       /* LUT */
short int imgNumC, imgNumR;                        /* # rows & cols in img */
BytePlane *RImg, *GImg, *BImg, *result;            /* ISR byteplanes */

/* ============================ stuff for morph operations ============================ */
#define BIT_ON 1               /* 1 ==> pixel is on */
#define BIT_OFF 0              /* 0 ==> pixel is off */
#define NUM_NEIGH_EXP 3        /* # ON neighbors necessary to be considered target pixel */
#define NUM_NEIGH_CON 1        /* # OFF neighbors necessary to be considered false alarm */

/* ===================== stuff for extracting bounding recatingles ===================== */
#define DONE 1
#define MIN_REG_SIZE 100   /* min region size considered a `real' region */
#define MAX_REG_SIZE 1000  /* max region size considered a `real' region */
#define MIN_REG_X 10       /* min x size considered a `real' region */
#define MIN_REG_Y 10       /* min y size considered a `real' region */
#define MAX_REG_X 75       /* max x size considered a `real' region */
#define MAX_REG_Y 75       /* max y size considered a `real' region */


